Bug 218155 - HTTP install method fails to locate instal images correctly
HTTP install method fails to locate instal images correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-02 02:04 EST by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 07:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-12-02 02:04:14 EST
Description of problem:

Unlike previous AS releases, AS5beta2 does not look in the "./disc1" etc http 
folders when looking for files.

eg:-

on my web host:-

mkdir /var/www/html/root/rhel5/disc1;mount -o loop -t 
iso9660 /x/Downloads/rhel-5-server-beta2-i386-
disc1.iso  /var/www/html/root/rhel5/disc1

Then, during install, I see these errors on my host:

[root@dor rhel5]# grep 172.22.0.91 /var/log/httpd/access_log
2006-12-02 06:39:59     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES-en_US.UTF-
8.html HTTP/1.1"    "-"       "urlgrabber/3.1.0"      -       -       
identity        -       -       17176   +80
2006-12-02 06:40:00     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES.en_US.UTF-8 
HTTP/1.1" "-"     "urlgrabber/3.1.0"        -       -       identity        -
       -       17177   +80
2006-12-02 06:40:00     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES-en_US.html 
HTTP/1.1"  "-"     "urlgrabber/3.1.0"        -       -       identity        -
       -       17178   +80
2006-12-02 06:40:00     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES.en_US 
HTTP/1.1"       "-"     "urlgrabber/3.1.0"        -       -       
identity        -       -       4001    +80
2006-12-02 06:40:00     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES-en.html 
HTTP/1.1"     "-"     "urlgrabber/3.1.0"        -       -       
identity        -       -       17174   +80
2006-12-02 06:40:00     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES.en 
HTTP/1.1"  "-"     "urlgrabber/3.1.0"        -       -       identity        -
       -       17175   +80
2006-12-02 06:40:01     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES-C.html 
HTTP/1.1"      "-"     "urlgrabber/3.1.0"        -       -       
identity        -       -       17176   +80
2006-12-02 06:40:01     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/RELEASE-NOTES.C 
HTTP/1.1"   "-"     "urlgrabber/3.1.0"        -       -       identity        -
       -       17177   +80
2006-12-02 06:45:56     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/VT/repodata/repomd.xml 
HTTP/1.1"    "-"     "urlgrabber/3.1.0"        -       close   
identity        -       -       17178   +80
2006-12-02 06:45:56     +0      172.22.0.91     -       500     -       -
       -       172.22.0.19     Root    "GET /rhel5/Server/repodata/repomd.xml 
HTTP/1.1"        "-"       "urlgrabber/3.1.0"      -       close   
identity        -       -       4001    +80
[root@dor rhel5]# grep 172.22.0.91 /var/log/httpd/error_log
[Sat Dec 02 06:39:59 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES-en_US.UTF-8.html
[Sat Dec 02 06:40:00 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES.en_US.UTF-8
[Sat Dec 02 06:40:00 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES-en_US.html
[Sat Dec 02 06:40:00 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES.en_US
[Sat Dec 02 06:40:00 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES-en.html
[Sat Dec 02 06:40:00 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES.en
[Sat Dec 02 06:40:01 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES-C.html
[Sat Dec 02 06:40:01 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/RELEASE-NOTES.C
[Sat Dec 02 06:45:56 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/VT
[Sat Dec 02 06:45:56 2006] [error] [client 172.22.0.91] File does not 
exist: /var/www/html/root/rhel5/Server
[root@dor rhel5]#





Version-Release number of selected component (if applicable):  beta2


How reproducible:

always

Steps to Reproduce:
1. mount the CDs as above
2. install via HTTP
3.
  
Actual results:

hostile error with "abort" button the only choice

Expected results:

install success

Additional info:
Comment 2 David Cantrell 2007-03-15 18:31:03 EDT
Does this still happen in the final RHEL-5 release?
Comment 3 Red Hat Bugzilla 2007-06-11 23:25:32 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.